PUT /actions/tasks/{task_id}/to-review

Create a new preview file entry and set the path from the disk. Optionally change the task status.

Path parameters

  • task_id string(uuid) Required
application/json

Body Required

  • person_id string(uuid)
  • comment string
  • name string
  • revision integer
  • change_status boolean

Responses

  • 200 application/json

    Task set to review and preview created

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • task_type_id string(uuid)
    • task_status_id string(uuid)
    • entity_id string(uuid)
    • project_id string(uuid)
    • assignees array[string(uuid)]
  • 400

    Invalid person or parameters

PUT /actions/tasks/{task_id}/to-review
curl -X PUT "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/to-review" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "comment": "Please check this version",
  "name": "main",
  "revision": 1,
  "change_status": true
}'
import requests

url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/to-review"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "comment": "Please check this version",
    "name": "main",
    "revision": 1,
    "change_status": true
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request PUT 'http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/to-review' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"person_id":"a24a6ea4-ce75-4665-a070-57453082c25","comment":"Please check this version","name":"main","revision":1,"change_status":true}'
Request examples
{
  "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "comment": "Please check this version",
  "name": "main",
  "revision": 1,
  "change_status": true
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "SH010 Animation",
  "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "task_status_id": "c24a6ea4-ce75-4665-a070-57453082c25",
  "entity_id": "d24a6ea4-ce75-4665-a070-57453082c25",
  "project_id": "e24a6ea4-ce75-4665-a070-57453082c25",
  "assignees": [
    "f24a6ea4-ce75-4665-a070-57453082c25"
  ]
}